/*
*  capsdlgs.h 
*
*  Copyright (C) 2010 Richard Christman 
*
*  This file is part of QuickSilver Lite.
*
*  QuickSilver Lite is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by the 
*  Free Software Foundation; either version 3 of the License, or (at your 
*  option) any later version.
* 
*  This program is distributed in the hope that it will be useful, but 
*  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
*  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
*  for more details.
* 
*  You should have received a copy of the GNU General Public License along 
*  with this program; if not, see <http://www.gnu.org/licenses>.
* 
*  Additional permission under GNU GPL version 3 section 7
* 
*  If you modify QuickSilver Lite, or any covered work, by linking or 
*  combining it with CodeGear VCL (or a modified version of that library), 
*  containing parts covered by the terms of CodeGear's license, the licensors 
*  of QuickSilver Lite grant you additional permission to convey the 
*  resulting work.
*
*/

//---------------------------------------------------------------------------

#ifndef capsdlgsH
#define capsdlgsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------

void __fastcall RunCapsViewer(TForm *Owner);

class TCapsDlg : public TForm
{
__published:	// IDE-managed Components
        TListBox *ListBox2;
        TLabel *Label1;
        TButton *OkBtn;
        TLabel *Label2;
        TPopupMenu *PopupMenu1;
        TMenuItem *Copyname1;
        TMenuItem *N1;
        TMenuItem *Resizedialog1;
        TMenuItem *Locksize1;
        TMenuItem *Legend1;
        TLabel *Label3;
        TStaticText *StaticText1;
        TListView *ListView;
	TStaticText *StaticText2;
        void __fastcall ListBox2Click(TObject *Sender);
        void __fastcall Copyname1Click(TObject *Sender);
        void __fastcall PopupMenu1Popup(TObject *Sender);
        void __fastcall Resizedialog1Click(TObject *Sender);
        void __fastcall Locksize1Click(TObject *Sender);
        void __fastcall Legend1Click(TObject *Sender);
        void __fastcall ListViewAdvancedCustomDrawSubItem(
          TCustomListView *Sender, TListItem *Item, int SubItem,
          TCustomDrawState State, TCustomDrawStage Stage,
          bool &DefaultDraw);
private:	// User declarations
public:		// User declarations
        AnsiString orgwin;
        TStringList *type2, *mlist, *rlist, *klist, *broke;
        __fastcall TCapsDlg(TComponent* Owner);
        __fastcall virtual ~TCapsDlg();
        void __fastcall ListViewAdd(const AnsiString &line);
        void __fastcall ListViewAddK(const AnsiString &line);
};
//---------------------------------------------------------------------------
//extern PACKAGE TCapsDlg *CapsDlg;
//---------------------------------------------------------------------------
#endif
